petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEGCRSetUnrollW

Set to PETSC_TRUE to use PIPEGCR with unrolling of the w vector

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetUnrollW(KSP ksp,PetscBool unroll_w)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| unroll_w | - use unrolling

### Options Database

-ksp_pipegcr_unroll_w -

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType(), KSPPIPEGCRSetNprealloc(),KSPPIPEGCRGetUnrollW()

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages